ICY 2.0 on Mac

Home Forums Installation ICY 2.0 on Mac

Tagged: 

  • IcyLyd

    Hi,

    I’m trying to install Icy 2.0 on Mac High Sierra, and previous icy was Ok. But with Icy 2 and JDK 8, I have this error:  in the Icy Updater :
    File /private/var/folders/4_/r627cpyx03n51ts_fhhxjz8h0000gn/T/AppTranslocation/249C39D6-79B2-4653-8FA0-109540EAAB14/d/icy.app/icy.jar is locked, aborting udpate…

    Do you have any idea ? My icy does not launch anymore on my MacPro.

    The same combination (JDK8 + Icy2) is working on Yosemite on my macbookPro.

    Thanks

    Lydia

    Stephane Dallongeville

    Hi Lydia,

    Did you tried to install a fresh Icy 2 or did it tried to update itself from 1.9 to 2.0 ? It looks like it’s the second case here.. Maybe you should try to install a fresh install as the update process from 1.9 to 2.0 is a bit more complicated than previous update (because of the modification of Icy packaging).
    In any case Icy 2.0 should be more compliant with OSX as the archive now directly unzip as an OSX app (icy.app folder), you just need to autorize it on first launch (right click on the app and use open and validate).

    Best,

    – Stephane

    IcyLyd

    Actually I did a new installation of Icy2 ….  🙁

    Stephane Dallongeville

    Hi Lydia,

    If JDK8 is correctly installed, then you may just need to check if Icy is allowed to run on your MAX :

    Did you tried this (taken from the FAQ) ?

    <<
    I installed Icy on my mac but it doesn’t work. How to fix it ?

    First, you need to have java installed on your system (refer to the first FAQ entry to get the instructions).
    Then the first time you try to launch the application it may not work because of the default Security preferences.
    You can force execution by doing right click on the application icon (or Ctrl+click) and use the Open command, then confirm the operation. You should now be able to use Icy normally 🙂
    >>

    Best,

    – Stephane

    brown.annaleigh

    Hello,

     

    On macOS mojave 10.14.4, fresh install, and I’ve followed the right click method. Same error.

    Stephane Dallongeville

    Given the message here this is just the automatic update process which failed, that shouldn’t prevent Icy starting. This is what happen when you double click on Icy icon ?

    – Stephane

    IcyLyd

    I have exactly the same error. I tried with JDK 8 and JDK 12, and I still have have the same problem.I checked the version of java on my mac, and here is what I have :

    Last login: Fri Jul 5 15:21:40 on console
    Mac-Pro-de-Lydia:~ LD$ /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java -version
    java version “1.8.0_211”
    Java(TM) SE Runtime Environment (build 1.8.0_211-b12)
    Java HotSpot(TM) 64-Bit Server VM (build 25.211-b12, mixed mode)
    Mac-Pro-de-Lydia:~ LD$ java -version
    java version “12.0.1” 2019-04-16
    Java(TM) SE Runtime Environment (build 12.0.1+12)
    Java HotSpot(TM) 64-Bit Server VM (build 12.0.1+12, mixed mode, sharing)
    Mac-Pro-de-Lydia:~ LD$

    When I try to open Icy 2: I have this error message

    Last login: Fri Jul 5 15:25:45 on ttys001
    /Applications/Install\ Central/Icy-2019/icy\ 2.app/icy ; exit;
    Mac-Pro-de-Lydia:~ LD$ /Applications/Install\ Central/Icy-2019/icy\ 2.app/icy ; exit;
    usage: dirname path
    Error: Unable to access jarfile /updater.jar
    logout
    Saving session…
    …copying shared history…
    …saving history…truncating history files…
    …completed.

    [Opération terminée]

     

    I tried to unlock the file by typing my admin root, but I have still that bug.

    Then I tried to lauch and old version of Icy, and then it crash because of the java that is not any more compatible…

    Susana

    Hi,

    I am new to Icy.

    I installed version 2 and java. I can open it but something is not right and it can not download VTK library. Not sue if this error is similar to the one Lydia has.

    Sorry I can not explain better, below is the info in the output.

    Thanks for your help!

     

    Java(TM) SE Runtime Environment 12.0.1+12 (64 bit)
    Running on Mac OS X 10.14.5 (x86_64)
    Number of processors : 8
    System total memory : 16.8 GB
    System available memory : 3.1 GB
    Max java memory : 7.3 GB
    Image cache initialized (reserved memory = 2841 MB, disk cache location = /var/folders/mw/73xc5q5n02bgqd7kg45jyllm0000gq/T)

    Can’t install OSX application wrapper…
    Field usr_paths not found in class java.lang.ClassLoader
    Cannot patch Java Library Path.
    Native libraries may not load correctly.
    java.lang.UnsatisfiedLinkError: no vtkalglib in java.library.path: [/Users/Susana/Library/Java/Extensions, /Library/Java/Extensions, /Network/Library/Java/Extensions, /System/Library/Java/Extensions, /usr/lib/java, .]

    Cannot load VTK library…

    Icy Version 2.0.0.0 started !

    Max / Used memory: 7.3 GB / 79.7 MB (released by GC: 28.7 MB)

    Stephane Dallongeville

    Hi Susana,

    We will investigate the problem about VTK not loading with Java 12 (it was working with Java 111 or older) and try to provide a fix for the next version. In the meantime you cantry to install an older java version (version 8 is the best but java 11 should work too).

    Thanks for the report.

    Best,

    – Stephane

    noaht

    Hi,

    I had an identical error message trying to run icy on macOS Mojave, I seem to have solved the problem by moving the icy application file from the downloads folder (or anywhere else) into the applications folder before running it. Hope that helps.

Viewing 10 posts - 1 through 10 (of 11 total)

You must be logged in to reply to this topic.